Subject: bug#41872: emacs-irony-mode fails to build on LLVM 10

From: Jakub Kądziołka <[email-masked]>
Date: Sat, 20 Jun 2020 03:27:43 +0200

On Tue, Jun 16, 2020 at 12:13:52PM +0200, Ludovic Courtès wrote:
> Hi,
> 
> Alternatively, we can try building clang@10 with the flags Pierre
> mentioned recently on this list so that we’re only building shared
> libraries; that should take up less space.

I'm currently building clang@10 with -DCLANG_LINK_CLANG_DYLIB=ON, but
unfortunately this flag requires -DLLVM_LINK_LLVM_DYLIB=ON, and it
doesn't work if LLVM wasn't build with that same flag.

Unfortunately, LLVM is a reverse-dep to the entire mesa mess, so this
approach would require a trip through staging (unless we create a
separate llvm-for-mesa package - would that be reasonable?).

Thoughts?

Regards,
Jakub Kądziołka